---
lang: en
title: 'API docs: tsdocs.getpackages'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/tsdocs
permalink: /doc/en/lb4/apidocs.tsdocs.getpackages.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [getPackages](./tsdocs.getpackages.md)

## getPackages() function

Get lerna packages and sorted them by location

**Signature:**

```typescript
export declare function getPackages(rootDir?: string): Promise<LernaPackage[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  rootDir | string | _(Optional)_ Root directory to find lerna.json |

**Returns:**

Promise&lt;[LernaPackage](./tsdocs.lernapackage.md)<!-- -->\[\]&gt;


